Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.params
Class AgentGroupScheduleParams

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.params.AgentGroupScheduleParams

    public class AgentGroupScheduleParams

extends Object

Represents the schedule of agents in a specific group.

Field Summary
`protected int[]` | `numAgents`
`protected IntArray` | `numAgentsData`
`protected double[]` | `probAgents`
`protected BooleanArray` | `shiftMatrix`
`protected List<ScheduleShiftParams>` | `shifts`

Constructor Summary
`AgentGroupScheduleParams()`

Method Summary
`int[]` | `getNumAgents()`
`int` | `getNumAgents(int idx)`
`IntArray` | `getNumAgentsData()` Gets the value of the numAgentsData property.
`int` | `getNumAgentsLength()`
`double[]` | `getProbAgents()`
`double` | `getProbAgents(int idx)`
`int` | `getProbAgentsLength()`
`BooleanArray` | `getShiftMatrix()` Gets the value of the shiftMatrix property.
`List<ScheduleShiftParams>` | `getShifts()` Gets the value of the shifts property.
`boolean` | `isSetNumAgents()`
`boolean` | `isSetNumAgentsData()`
`boolean` | `isSetProbAgents()`
`boolean` | `isSetShiftMatrix()`
`boolean` | `isSetShifts()`
`void` | `setNumAgents(int[] values)`
`int` | `setNumAgents(int idx, int value)`
`void` | `setNumAgentsData(IntArray value)` Sets the value of the numAgentsData property.
`void` | `setProbAgents(double[] values)`
`double` | `setProbAgents(int idx, double value)`
`void` | `setShiftMatrix(BooleanArray value)` Sets the value of the shiftMatrix property.
`void` | `unsetNumAgents()`
`void` | `unsetProbAgents()`
`void` | `unsetShifts()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### shifts

    protected List<ScheduleShiftParams> shifts

### shiftMatrix

    protected BooleanArray shiftMatrix

### numAgents

    protected int[] numAgents

### probAgents

    protected double[] probAgents

### numAgentsData

    protected IntArray numAgentsData

Constructor Detail

### AgentGroupScheduleParams

    public AgentGroupScheduleParams()

Method Detail

### getShifts

    public List<ScheduleShiftParams> getShifts()

  Gets the value of the shifts property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the shifts property.

  For example, to add a new item, do as follows:

          getShifts().add(newItem);

  Objects of the following type(s) are allowed in the list `ScheduleShiftParams`

### isSetShifts

    public boolean isSetShifts()

### unsetShifts

    public void unsetShifts()

### getShiftMatrix

    public BooleanArray getShiftMatrix()

  Gets the value of the shiftMatrix property.

  Returns:
    possible object is `BooleanArray`

### setShiftMatrix

    public void setShiftMatrix(BooleanArray value)

  Sets the value of the shiftMatrix property.

  Parameters:
    `value` - allowed object is `BooleanArray`

### isSetShiftMatrix

    public boolean isSetShiftMatrix()

### getNumAgents

    public int[] getNumAgents()

  Returns:
    array of `Integer`

### getNumAgents

    public int getNumAgents(int idx)

  Returns:
    one of `Integer`

### getNumAgentsLength

    public int getNumAgentsLength()

### setNumAgents

    public void setNumAgents(int[] values)

  Parameters:
    `values` - allowed objects are `Integer`

### setNumAgents

    public int setNumAgents(int idx,
                            int value)

  Parameters:
    `value` - allowed object is `Integer`

### isSetNumAgents

    public boolean isSetNumAgents()

### unsetNumAgents

    public void unsetNumAgents()

### getProbAgents

    public double[] getProbAgents()

  Returns:
    array of `Double`

### getProbAgents

    public double getProbAgents(int idx)

  Returns:
    one of `Double`

### getProbAgentsLength

    public int getProbAgentsLength()

### setProbAgents

    public void setProbAgents(double[] values)

  Parameters:
    `values` - allowed objects are `Double`

### setProbAgents

    public double setProbAgents(int idx,
                                double value)

  Parameters:
    `value` - allowed object is `Double`

### isSetProbAgents

    public boolean isSetProbAgents()

### unsetProbAgents

    public void unsetProbAgents()

### getNumAgentsData

    public IntArray getNumAgentsData()

  Gets the value of the numAgentsData property.

  Returns:
    possible object is `IntArray`

### setNumAgentsData

    public void setNumAgentsData(IntArray value)

  Sets the value of the numAgentsData property.

  Parameters:
    `value` - allowed object is `IntArray`

### isSetNumAgentsData

    public boolean isSetNumAgentsData()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.